pro sxt_fpos_summary, records , interactive=interactive
set_logenv,'path_http','/misc/diapason_www2/SXT'
httdir=concat_dir('$path_http','sxtposx')
index=concat_dir(httdir,'index.html')
html_doc,index,/header

starti=111
if n_elements(starti) ne 0 then box_message,'Not starting at 0' else starti=0
for i=starti,n_elements(records)-1 do begin 
  box_message,'Processing record: ' + strtrim(i,2)
  spr=cdrom_files(day=records(i),/spr,/mag)
  if spr(0) ne '' then begin 
     rd_roadmap,spr,rmap
     ss=tim2dset(rmap,records(i),delta=delta)
     if delta(0) gt 0 then begin 
        box_message,'delta NE 0'
     endif else begin 
        mrec=rmap(ss)
        sss=where(gt_filtb(rmap) eq gt_filtb(mrec) and $
                  gt_dpe(rmap) eq gt_dpe(mrec)     and $
                  gt_filtb(rmap) eq gt_filtb(mrec) and $
                  gt_percentd(rmap) eq 100         and $
                  gt_filta(rmap) eq gt_filta(mrec))
        
        ssx=sel_timrange(rmap(sss),records(i),records(i+1))
        if n_elements(ssx) eq 1 then ssz=sss(ssx(0)) else $
                ssz=sss(ssx(0:4<(n_elements(ssx)-1)))
        sxt_prep,spr,ssz,oindex,odata
        context=ssw_fov_context(struct2ssw(oindex(0)),odata(*,*,0),fd_type='sxt',xsize=512,ysize=512)
        if keyword_set(interactive) then begin
           set_plot,'x
           wdef,im=context
           tvscl,context
           stop,'interactive...'
        endif else begin 
        root='sxtpos_'+time2file(mrec)
        hdoc=concat_dir(httdir,root +'.html')

        wdef,im=context,/zbuffer
        gfile=root+'.gif
        loadct,3 
        ct2rgb,3,/reverse 
        tvscl,context
        zbuff2file,concat_dir(httdir,gfile),r,g,b
        goesfile=root+'_goes'+gfile
        time_window,mrec,min=[-20,40],t0,t1
        linecolors
        plot_goes,t0,t1,/goes10,/one,back=11
        evt_grid,rmap(sss(ssx)),ticklen=.05,tickpos=.85,color=7
        evt_grid,oindex(0),linestyle=0,color=2, $
            label='Displayed: ' + anytim(oindex(0),/time_only,/ecs,/trunc), $
            labcolor=4,labpos=.85,/align,thick=2
        fem_grid,/filln,/fillsaa,ncolor=9,scolor=4
        zbuff2file,concat_dir(httdir,goesfile) 
        glev=(strtrim(records(i).goeslev,2))(0) 
        if glev eq '' then glev='??'
        info= $ 
              string([records(i).xcen,records(i).ycen], format='(1x,f6.1,1x,f6.1)') + ' ' + $
              string(records(i).dlimb,format='(1x,f5.1)') + ' ' + $
              glev + ' ' + $
              string(records(i).goesdt/60,format='(f6.1)') + ' ' + $
              string([records(i).goesmin,records(i).goesmax],format='(1x,e,1x,e)')
        info=str2arr(strcompress(arr2str(info,' ' )),' ')

        info=[anytim(mrec,/ecs,/trunc),info(1:*)]
        header=str2arr('Seq.Start,XCEN,YCEN,Delta FOV:LIMB("),GOES Lev,GOESdt,GOES-min,GOES-max')
        html_doc,hdoc,/header
        help,header,info
        file_append,hdoc,strtab2html([[header],[info]],/row0)
        
        dur=string(gt_tagval(records(i),/hxt_dur,missing=fltarr(4)-1.),format='(f6.1)')
        ndur=string(gt_tagval(records(i),/hxt_netdur,missing=fltarr(4)-1.),format='(f6.1)')
        imp=string(gt_tagval(records(i),/hxt_impulsiveness,missing=fltarr(4)-1.),format='(f6.1)')
        info=str2arr('HXT Duration,HXT Net Duration,HXT Impulsiveness')
        hxttab=[[dur],[ndur],[imp]]       
        file_append,hdoc,strtab2html(transpose([transpose(info),hxttab]),/row0)
        file_append,hdoc,strtab2html(['<img src="'+gfile+'">',$
                                      '<img src="'+goesfile+'">'])
        html_doc, hdoc, /trailer
        if n_elements(hdocs) eq 0 then hdocs=hdoc else hdocs=[hdocs,hdoc]
        html_doc,index,/header
        file_append,index,$
         str2html(strsplit(hdocs,'/',/last,/tail)) + '<br>' 
        html_doc,index,/trailer
                

     endelse
     endelse 

  endif else box_message,'No sprs for input record
endfor
end
